#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# GNOME Awesome Applet - control Awesome window manager via GNOME panel
#
# Copyright © 2010 Stefano Zacchiroli <zack@upsilon.cc>
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <http://www.gnu.org/licenses/>.

import os.path as path

PACKAGE = 'gnome-awesome-applet'
VERSION = '0.1.1'

BIN_DIR = '/usr/bin'
BONOBO_DIR = '/usr/lib/bonobo/servers'
LAYOUT_DIR = '/usr/share/awesome/themes/default/layouts'
LUA_DIR = '/usr/share/awesome/lib'
PIXMAPS_DIR = '/usr/share/pixmaps'
RESOURCES_DIR = '/usr/share/gnome-awesome-applet'

MENU_PATH = path.join(RESOURCES_DIR, 'AwesomeApplet.xml')
GLADE_PATH = path.join(RESOURCES_DIR, 'awesome-applet.glade')
ICON_PATH = path.join(PIXMAPS_DIR, 'gnome-awesome-applet.png')
